当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装时候遇到的问题 等大虾
帖子发表于 : 2007-08-30 9:18 

注册: 2006-08-30 17:29
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
执行sudo apt-get dist-upgrade
发生的错误
--------------
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
您也许需要运行“apt-get -f install”来纠正上面的错误。
下列的软件包有不能满足的依赖关系:
compiz-gnome: 依赖: compiz-gtk (= 1:0.3.6-1ubuntu13) 但是它还没有被安装
E: 不能满足依赖关系。不妨试一下 -f 选项。
-------------------
执行 sudo apt-get -f install
发生的错误
-------------
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
The following packages were automatically installed and are no longer required:
libopenexr2c2a libarts1c2a kdelibs4c2a kdelibs-data liblualib50 libpcre3
libavahi-qt3-1 liblua50
使用 'apt-get autoremove' 来删除它们。
将会安装下列额外的软件包:
compiz-gnome
下列的软件包将被升级:
compiz-gnome
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 41 个软件未被升级。
有 17 个软件包没有被完全安装或卸载。
需要下载 0B/161kB 的软件包。
解压缩后会消耗掉 893kB 的额外空间。
您希望继续执行吗?[Y/n]Y
(正在读取数据库 ... 系统当前总共安装有 100328 个文件和目录。)
正预备替换 compiz-gnome 1:0.3.6-1ubuntu13 (使用 .../compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb) ...
正在解压缩将用于更替的包文件 compiz-gnome ...
dpkg:处理 /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/compiz/libgconf.so”,它属于软件包 compiz-plugins
在处理时有错误发生:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

--------------------------

有谁遇到这种问题么?如何解决?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-30 10:37 

注册: 2006-10-26 17:09
帖子: 38
送出感谢: 0 次
接收感谢: 0 次
我也碰到过这样的问题,可以用新立得试试。
在此之前最好吧源改成官方源,我用的是欧洲官方的源。然后加上-fix--missing更新源,之后用sudo apt-get dist-upgrade 升级。然后用新立得安装就解决了。
总体上说,每天安装都可能出现新情况,因为compiz还在不断升级中。也许今天装不了,明天就能装了。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-30 10:44 

注册: 2007-01-02 16:16
帖子: 150
送出感谢: 0 次
接收感谢: 0 次
这个问题我昨天刚好也是
后来用新立得将compiz全删了重装才搞定
不然老出错


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译